<p align="center">
  <a href="http://lvcharts.net/"><img src="http://lvcharts.net/Content/Images/LiveChartsWhite.gif" /></a>
</p>

[![GitHub license](https://img.shields.io/github/license/beto-rodriguez/Live-Charts.svg?style=flat-square)](https://github.com/beto-rodriguez/Live-Charts/blob/master/LICENSE.TXT)
[![AppVeyor](https://ci.appveyor.com/api/projects/status/707m8sye0ggbfrcq)](https://ci.appveyor.com/project/beto-rodriguez/live-charts)
[![GitHub issues](https://img.shields.io/github/issues/beto-rodriguez/Live-Charts.svg?style=flat-square)](https://github.com/beto-rodriguez/Live-Charts/issues)
[![Gitter](https://img.shields.io/gitter/room/beto-rodriguez/Live-Charts.svg?style=flat-square)](https://gitter.im/beto-rodriguez/Live-Charts?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
<a href="http://isitmaintained.com/project/beto-rodriguez/live-charts" title="Average time to resolve an issue"><img src="http://isitmaintained.com/badge/resolution/beto-rodriguez/live-charts.svg" alt="Average time to resolve an issue"></a>
<a href="http://isitmaintained.com/project/beto-rodriguez/live-charts" title="Percentage of issues still open"><img src="http://isitmaintained.com/badge/open/beto-rodriguez/live-charts.svg" alt="Percentage of issues still open"></a>

* **[Get Started Here](http://lvcharts.net/App/examples/wpf/start)**, this repository has many examples also.
* **[Chat](https://gitter.im/beto-rodriguez/Live-Charts)**
* **Questions and support?**, we are always happy to help you at our chat, if you require so you can also try [Stack Overflow](http://stackoverflow.com/questions/tagged/livecharts).

### LiveCharts is
# Flexible, Customizable

*images in this section are built with LiveCharts, but designed by [Kingyo](https://dribbble.com/Kingyo)*

<p align="center">
  <img src="http://lvcharts.net/Content/Images/materialcards.gif" />
</p>
<p align="center">
  <img src="http://lvcharts.net/Content/Images/energy.gif" />
</p>
<p align="center">
  <img src="http://lvcharts.net/Content/Images/solid.gif" />
</p>

### it is also
# Simple, Interactive

As easy as manipulating any generic list in .Net, LiveCharts updates and animates as your data changes in real time, charts are also sensitive to size changes.

<p align="center">
  <img src="https://lvcharts.net/Content/Images/Banner/linq.gif" />
  <img src="https://lvcharts.net/Content/Images/Banner/responsive.gif" />
  <img src="https://lvcharts.net/Content/Images/Banner/doughnut.gif" />/
  <img src="https://lvcharts.net/Content/Images/Banner/constant.gif" />
</p>

### and of course it also is
# Powerful

LiveCharts is not just beauty charts, this example contains 100,000 points, and the chart is being refreshed constantly, we support zooming, panning, multiple axes, sections, merged UIelemnts and much more!

<p align="center">
  <img src="https://lvcharts.net/Content/Images/scrll.gif" />
</p>

But that is not all, we try to support as many charts as possible, bars, lines, heat maps, gauges, maps:

<p align="center">
  <img src="https://lvcharts.net/content/images/darkpanel.gif" />
</p>

### Road Map

- [x] ~~Build at least all the features any other charting library does, in WPF and WinForms~~
- [ ] **[In progress]** Build High performance algorithms 
- [ ] **[In progress]** Expand the library to:
 - [x] ~~WPF~~
 - [x] ~~WinForms~~
 - [ ] UWP **[In progress]**
 - [ ] Xamarin
- [ ] Release 1.0 in WPF and WinForms, the other platforms will be beta, in case something went wrong.

###Support

WPF and Winforms, currenlty the library is in the process to become a cross net library...

###Net Version

.Net 4.0 or greater

### Installation

* [Wpf](http://lvcharts.net/App/examples/wpf/Install)
* [WinForms](http://lvcharts.net/App/examples/wf/Install)

### Migrating from older versions?

Please see [https://github.com/beto-rodriguez/Live-Charts/releases](https://github.com/beto-rodriguez/Live-Charts/releases)

### How to Contribute

* **Star** this repo
* Try it
* Report Issues and Improvements
* Pull request are well received

You can also buy me a beer

<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="J86WDLSS9PWGL">
<input type="image" src="https://www.paypalobjects.com/en_GB/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal – The safer, easier way to pay online.">
<img alt="" border="0" src="https://www.paypalobjects.com/es_XC/i/scr/pixel.gif" width="1" height="1">
</form>
[![paypal](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=J86WDLSS9PWGL)

### Examples?

The [web site](http://lvcharts.net/App/examples/wpf/start) has a nice set, they are also built in the examples folder up here ^^^^

### Special thanks to

* [JetBrains](https://www.jetbrains.com/), for the resharper license.
* [Contributors](https://github.com/beto-rodriguez/Live-Charts/graphs/contributors) and any one brave enough to report any new issue
